Author Topic: Perl OSX 10.6  (Read 6892 times)

haich11

  • Sr. Member
  • ****
  • Posts: 32
Perl OSX 10.6
« on: June 14, 2010, 12:42:17 PM »
Hi,

Having been using Qube 5.4 on Snow Leopard I had downgraded my version of Perl to 5.8.8.

Having upgraded to Qube 5.5 and returning my Perl defaults to 5.10 I'm getting the following error on our worker:

Code: [Select]
----------------------------------
-     Worker 284.0
----------------------------------
dyld: lazy symbol binding failed: Symbol not found: _Perl_Istack_sp_ptr
  Referenced from: /Applications/pfx/qube//api/perl/qb/blib/arch/auto/qb/qb.bundle
  Expected in: dynamic lookup

dyld: Symbol not found: _Perl_Istack_sp_ptr
  Referenced from: /Applications/pfx/qube//api/perl/qb/blib/arch/auto/qb/qb.bundle
  Expected in: dynamic lookup

perl -v in Terminal returns that the worker is using 5.10 but I can only assume this problem is related.

Does anyone know of a work around or further tests I can run?

Thanks,
Chris


haich11

  • Sr. Member
  • ****
  • Posts: 32
Re: Perl OSX 10.6
« Reply #1 on: June 14, 2010, 01:38:43 PM »
Ignore that. I hadn't updated system wide. Running this through Terminal fixed it:

defaults write /Library/Preferences/com.apple.versioner.perl Version 5.10.0